package = "syntaxhighlight"
version = "1.0.0-1"
source = {
  url = "git://github.com/leafo/lua-syntaxhighlight.git",
	branch = "v1.0.0"
}
description = {
  homepage = "https://github.com/leafo/lua-syntaxhighlight",
  license = "MIT"
}
dependencies = {
  "lua",
  "web_sanitize"
}
build = {
  type = "builtin",
  modules = {
    ["syntaxhighlight"] = "syntaxhighlight/init.lua",
    ["syntaxhighlight.lexers.moonscript"] = "syntaxhighlight/lexers/moonscript.lua",
    ["syntaxhighlight.lexers.nginx"] = "syntaxhighlight/lexers/nginx.lua",
    ["syntaxhighlight.lexers.vim"] = "syntaxhighlight/lexers/vim.lua",
    ["syntaxhighlight.textadept.actionscript"] = "syntaxhighlight/textadept/actionscript.lua",
    ["syntaxhighlight.textadept.ada"] = "syntaxhighlight/textadept/ada.lua",
    ["syntaxhighlight.textadept.ansi_c"] = "syntaxhighlight/textadept/ansi_c.lua",
    ["syntaxhighlight.textadept.antlr"] = "syntaxhighlight/textadept/antlr.lua",
    ["syntaxhighlight.textadept.apdl"] = "syntaxhighlight/textadept/apdl.lua",
    ["syntaxhighlight.textadept.apl"] = "syntaxhighlight/textadept/apl.lua",
    ["syntaxhighlight.textadept.applescript"] = "syntaxhighlight/textadept/applescript.lua",
    ["syntaxhighlight.textadept.asm"] = "syntaxhighlight/textadept/asm.lua",
    ["syntaxhighlight.textadept.asp"] = "syntaxhighlight/textadept/asp.lua",
    ["syntaxhighlight.textadept.autoit"] = "syntaxhighlight/textadept/autoit.lua",
    ["syntaxhighlight.textadept.awk"] = "syntaxhighlight/textadept/awk.lua",
    ["syntaxhighlight.textadept.bash"] = "syntaxhighlight/textadept/bash.lua",
    ["syntaxhighlight.textadept.batch"] = "syntaxhighlight/textadept/batch.lua",
    ["syntaxhighlight.textadept.bibtex"] = "syntaxhighlight/textadept/bibtex.lua",
    ["syntaxhighlight.textadept.boo"] = "syntaxhighlight/textadept/boo.lua",
    ["syntaxhighlight.textadept.caml"] = "syntaxhighlight/textadept/caml.lua",
    ["syntaxhighlight.textadept.chuck"] = "syntaxhighlight/textadept/chuck.lua",
    ["syntaxhighlight.textadept.cmake"] = "syntaxhighlight/textadept/cmake.lua",
    ["syntaxhighlight.textadept.coffeescript"] = "syntaxhighlight/textadept/coffeescript.lua",
    ["syntaxhighlight.textadept.container"] = "syntaxhighlight/textadept/container.lua",
    ["syntaxhighlight.textadept.context"] = "syntaxhighlight/textadept/context.lua",
    ["syntaxhighlight.textadept.cpp"] = "syntaxhighlight/textadept/cpp.lua",
    ["syntaxhighlight.textadept.crystal"] = "syntaxhighlight/textadept/crystal.lua",
    ["syntaxhighlight.textadept.csharp"] = "syntaxhighlight/textadept/csharp.lua",
    ["syntaxhighlight.textadept.css"] = "syntaxhighlight/textadept/css.lua",
    ["syntaxhighlight.textadept.cuda"] = "syntaxhighlight/textadept/cuda.lua",
    ["syntaxhighlight.textadept.dart"] = "syntaxhighlight/textadept/dart.lua",
    ["syntaxhighlight.textadept.desktop"] = "syntaxhighlight/textadept/desktop.lua",
    ["syntaxhighlight.textadept.diff"] = "syntaxhighlight/textadept/diff.lua",
    ["syntaxhighlight.textadept.django"] = "syntaxhighlight/textadept/django.lua",
    ["syntaxhighlight.textadept.dmd"] = "syntaxhighlight/textadept/dmd.lua",
    ["syntaxhighlight.textadept.dockerfile"] = "syntaxhighlight/textadept/dockerfile.lua",
    ["syntaxhighlight.textadept.dot"] = "syntaxhighlight/textadept/dot.lua",
    ["syntaxhighlight.textadept.eiffel"] = "syntaxhighlight/textadept/eiffel.lua",
    ["syntaxhighlight.textadept.elixir"] = "syntaxhighlight/textadept/elixir.lua",
    ["syntaxhighlight.textadept.erlang"] = "syntaxhighlight/textadept/erlang.lua",
    ["syntaxhighlight.textadept.faust"] = "syntaxhighlight/textadept/faust.lua",
    ["syntaxhighlight.textadept.fish"] = "syntaxhighlight/textadept/fish.lua",
    ["syntaxhighlight.textadept.forth"] = "syntaxhighlight/textadept/forth.lua",
    ["syntaxhighlight.textadept.fortran"] = "syntaxhighlight/textadept/fortran.lua",
    ["syntaxhighlight.textadept.fsharp"] = "syntaxhighlight/textadept/fsharp.lua",
    ["syntaxhighlight.textadept.gap"] = "syntaxhighlight/textadept/gap.lua",
    ["syntaxhighlight.textadept.gettext"] = "syntaxhighlight/textadept/gettext.lua",
    ["syntaxhighlight.textadept.gherkin"] = "syntaxhighlight/textadept/gherkin.lua",
    ["syntaxhighlight.textadept.glsl"] = "syntaxhighlight/textadept/glsl.lua",
    ["syntaxhighlight.textadept.gnuplot"] = "syntaxhighlight/textadept/gnuplot.lua",
    ["syntaxhighlight.textadept.go"] = "syntaxhighlight/textadept/go.lua",
    ["syntaxhighlight.textadept.groovy"] = "syntaxhighlight/textadept/groovy.lua",
    ["syntaxhighlight.textadept.gtkrc"] = "syntaxhighlight/textadept/gtkrc.lua",
    ["syntaxhighlight.textadept.haskell"] = "syntaxhighlight/textadept/haskell.lua",
    ["syntaxhighlight.textadept.html"] = "syntaxhighlight/textadept/html.lua",
    ["syntaxhighlight.textadept.icon"] = "syntaxhighlight/textadept/icon.lua",
    ["syntaxhighlight.textadept.idl"] = "syntaxhighlight/textadept/idl.lua",
    ["syntaxhighlight.textadept.inform"] = "syntaxhighlight/textadept/inform.lua",
    ["syntaxhighlight.textadept.ini"] = "syntaxhighlight/textadept/ini.lua",
    ["syntaxhighlight.textadept.io_lang"] = "syntaxhighlight/textadept/io_lang.lua",
    ["syntaxhighlight.textadept.java"] = "syntaxhighlight/textadept/java.lua",
    ["syntaxhighlight.textadept.javascript"] = "syntaxhighlight/textadept/javascript.lua",
    ["syntaxhighlight.textadept.json"] = "syntaxhighlight/textadept/json.lua",
    ["syntaxhighlight.textadept.jsp"] = "syntaxhighlight/textadept/jsp.lua",
    ["syntaxhighlight.textadept.latex"] = "syntaxhighlight/textadept/latex.lua",
    ["syntaxhighlight.textadept.ledger"] = "syntaxhighlight/textadept/ledger.lua",
    ["syntaxhighlight.textadept.less"] = "syntaxhighlight/textadept/less.lua",
    ["syntaxhighlight.textadept.lexer"] = "syntaxhighlight/textadept/lexer.lua",
    ["syntaxhighlight.textadept.lilypond"] = "syntaxhighlight/textadept/lilypond.lua",
    ["syntaxhighlight.textadept.lisp"] = "syntaxhighlight/textadept/lisp.lua",
    ["syntaxhighlight.textadept.litcoffee"] = "syntaxhighlight/textadept/litcoffee.lua",
    ["syntaxhighlight.textadept.logtalk"] = "syntaxhighlight/textadept/logtalk.lua",
    ["syntaxhighlight.textadept.lua"] = "syntaxhighlight/textadept/lua.lua",
    ["syntaxhighlight.textadept.makefile"] = "syntaxhighlight/textadept/makefile.lua",
    ["syntaxhighlight.textadept.man"] = "syntaxhighlight/textadept/man.lua",
    ["syntaxhighlight.textadept.markdown"] = "syntaxhighlight/textadept/markdown.lua",
    ["syntaxhighlight.textadept.matlab"] = "syntaxhighlight/textadept/matlab.lua",
    ["syntaxhighlight.textadept.mediawiki"] = "syntaxhighlight/textadept/mediawiki.lua",
    ["syntaxhighlight.textadept.moonscript"] = "syntaxhighlight/textadept/moonscript.lua",
    ["syntaxhighlight.textadept.myrddin"] = "syntaxhighlight/textadept/myrddin.lua",
    ["syntaxhighlight.textadept.nemerle"] = "syntaxhighlight/textadept/nemerle.lua",
    ["syntaxhighlight.textadept.nim"] = "syntaxhighlight/textadept/nim.lua",
    ["syntaxhighlight.textadept.nsis"] = "syntaxhighlight/textadept/nsis.lua",
    ["syntaxhighlight.textadept.null"] = "syntaxhighlight/textadept/null.lua",
    ["syntaxhighlight.textadept.objective_c"] = "syntaxhighlight/textadept/objective_c.lua",
    ["syntaxhighlight.textadept.pascal"] = "syntaxhighlight/textadept/pascal.lua",
    ["syntaxhighlight.textadept.perl"] = "syntaxhighlight/textadept/perl.lua",
    ["syntaxhighlight.textadept.php"] = "syntaxhighlight/textadept/php.lua",
    ["syntaxhighlight.textadept.pico8"] = "syntaxhighlight/textadept/pico8.lua",
    ["syntaxhighlight.textadept.pike"] = "syntaxhighlight/textadept/pike.lua",
    ["syntaxhighlight.textadept.pkgbuild"] = "syntaxhighlight/textadept/pkgbuild.lua",
    ["syntaxhighlight.textadept.powershell"] = "syntaxhighlight/textadept/powershell.lua",
    ["syntaxhighlight.textadept.prolog"] = "syntaxhighlight/textadept/prolog.lua",
    ["syntaxhighlight.textadept.props"] = "syntaxhighlight/textadept/props.lua",
    ["syntaxhighlight.textadept.protobuf"] = "syntaxhighlight/textadept/protobuf.lua",
    ["syntaxhighlight.textadept.ps"] = "syntaxhighlight/textadept/ps.lua",
    ["syntaxhighlight.textadept.pure"] = "syntaxhighlight/textadept/pure.lua",
    ["syntaxhighlight.textadept.python"] = "syntaxhighlight/textadept/python.lua",
    ["syntaxhighlight.textadept.rails"] = "syntaxhighlight/textadept/rails.lua",
    ["syntaxhighlight.textadept.rc"] = "syntaxhighlight/textadept/rc.lua",
    ["syntaxhighlight.textadept.rebol"] = "syntaxhighlight/textadept/rebol.lua",
    ["syntaxhighlight.textadept.rest"] = "syntaxhighlight/textadept/rest.lua",
    ["syntaxhighlight.textadept.rexx"] = "syntaxhighlight/textadept/rexx.lua",
    ["syntaxhighlight.textadept.rhtml"] = "syntaxhighlight/textadept/rhtml.lua",
    ["syntaxhighlight.textadept.rstats"] = "syntaxhighlight/textadept/rstats.lua",
    ["syntaxhighlight.textadept.ruby"] = "syntaxhighlight/textadept/ruby.lua",
    ["syntaxhighlight.textadept.rust"] = "syntaxhighlight/textadept/rust.lua",
    ["syntaxhighlight.textadept.sass"] = "syntaxhighlight/textadept/sass.lua",
    ["syntaxhighlight.textadept.scala"] = "syntaxhighlight/textadept/scala.lua",
    ["syntaxhighlight.textadept.scheme"] = "syntaxhighlight/textadept/scheme.lua",
    ["syntaxhighlight.textadept.smalltalk"] = "syntaxhighlight/textadept/smalltalk.lua",
    ["syntaxhighlight.textadept.sml"] = "syntaxhighlight/textadept/sml.lua",
    ["syntaxhighlight.textadept.snobol4"] = "syntaxhighlight/textadept/snobol4.lua",
    ["syntaxhighlight.textadept.sql"] = "syntaxhighlight/textadept/sql.lua",
    ["syntaxhighlight.textadept.taskpaper"] = "syntaxhighlight/textadept/taskpaper.lua",
    ["syntaxhighlight.textadept.tcl"] = "syntaxhighlight/textadept/tcl.lua",
    ["syntaxhighlight.textadept.tex"] = "syntaxhighlight/textadept/tex.lua",
    ["syntaxhighlight.textadept.texinfo"] = "syntaxhighlight/textadept/texinfo.lua",
    ["syntaxhighlight.textadept.text"] = "syntaxhighlight/textadept/text.lua",
    ["syntaxhighlight.textadept.toml"] = "syntaxhighlight/textadept/toml.lua",
    ["syntaxhighlight.textadept.txt2tags"] = "syntaxhighlight/textadept/txt2tags.lua",
    ["syntaxhighlight.textadept.vala"] = "syntaxhighlight/textadept/vala.lua",
    ["syntaxhighlight.textadept.vb"] = "syntaxhighlight/textadept/vb.lua",
    ["syntaxhighlight.textadept.vbscript"] = "syntaxhighlight/textadept/vbscript.lua",
    ["syntaxhighlight.textadept.vcard"] = "syntaxhighlight/textadept/vcard.lua",
    ["syntaxhighlight.textadept.verilog"] = "syntaxhighlight/textadept/verilog.lua",
    ["syntaxhighlight.textadept.vhdl"] = "syntaxhighlight/textadept/vhdl.lua",
    ["syntaxhighlight.textadept.wsf"] = "syntaxhighlight/textadept/wsf.lua",
    ["syntaxhighlight.textadept.xml"] = "syntaxhighlight/textadept/xml.lua",
    ["syntaxhighlight.textadept.xtend"] = "syntaxhighlight/textadept/xtend.lua",
    ["syntaxhighlight.textadept.yaml"] = "syntaxhighlight/textadept/yaml.lua",
  }
}
